Project

General

Profile

Actions

Bug #4754

closed

Technique "Package management for Debian / Ubuntu / APT systems", typo in the option to install an earlier package

Added by Fabrice FLORE-THÉBAULT almost 9 years ago. Updated almost 8 years ago.

Status:
Released
Priority:
4
Category:
Techniques
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
Regression:

Description

2 issues: wrong display, and wrong recording of the selection.

The display in the GUI is:

">= this version or any earlier one" 

instead of :

"<= this version or any earlier one" 

And, if you select

>= this version or any later one

validate and redisplay the page,

<= this version or any earlier one
gets selected instead of
>= this version or any later one

Related issues 1 (0 open1 closed)

Has duplicate Rudder - Bug #5070: Issue with "Packet version match" in package management directiveRejectedVincent MEMBRÉ2014-06-18Actions
Actions #1

Updated by Vincent MEMBRÉ almost 9 years ago

  • Assignee set to Vincent MEMBRÉ
  • Priority changed from N/A to 4
  • Target version set to 2.6.13

Thank you Fabrice, I'm correcting it right away!

Actions #2

Updated by Vincent MEMBRÉ almost 9 years ago

  • Status changed from New to Pending technical review
  • Assignee changed from Vincent MEMBRÉ to Jonathan CLARKE
  • Pull Request set to https://github.com/Normation/rudder-techniques/pull/344
Actions #3

Updated by Vincent MEMBRÉ almost 9 years ago

  • Status changed from Pending technical review to Pending release
  • % Done changed from 0 to 100

Applied in changeset commit:03f9a4d0d4b168225479b7977191a8fff4584a60.

Actions #4

Updated by Jonathan CLARKE almost 9 years ago

Applied in changeset commit:d45f720fa2a41557edf0919caea58def82f37540.

Actions #5

Updated by Vincent MEMBRÉ over 8 years ago

  • Subject changed from Package management for Debian / Ubuntu / APT systems technique 1.2 ">= this version or any earlier one" and ">= this version or any later one" to Technique "Package management for Debian / Ubuntu / APT systems", typo in the option to install an earlier package
Actions #6

Updated by Vincent MEMBRÉ over 8 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 2.6.13 (announcement , changelog), 2.9.5 (announcement , changelog) and 2.10.1 (announcement , changelog), which were released today.

Actions #7

Updated by Benoît PECCATTE almost 8 years ago

  • Project changed from 24 to Rudder
  • Category changed from Techniques to Techniques
Actions

Also available in: Atom PDF